Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.core.syntaxgraph.reader
Enum TigerXMLHeader.Domain

    java.lang.Object
      java.lang.Enum<TigerXMLHeader.Domain>
          org.maltparser.core.syntaxgraph.reader.TigerXMLHeader.Domain

All Implemented Interfaces:
  Serializable, Comparable<TigerXMLHeader.Domain>

Enclosing class:
  TigerXMLHeader

    public static enum TigerXMLHeader.Domain

extends Enum<TigerXMLHeader.Domain>

Enum Constant Summary
`EL`
`FREC`
`NT`
`SEL`
`T`

Method Summary
`static TigerXMLHeader.Domain` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TigerXMLHeader.Domain[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### T

    public static final TigerXMLHeader.Domain T

### NT

    public static final TigerXMLHeader.Domain NT

### FREC

    public static final TigerXMLHeader.Domain FREC

### EL

    public static final TigerXMLHeader.Domain EL

### SEL

    public static final TigerXMLHeader.Domain SEL

Method Detail

### values

    public static TigerXMLHeader.Domain[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TigerXMLHeader.Domain c : TigerXMLHeader.Domain.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TigerXMLHeader.Domain valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.